Bug 1458810 - Failed while launching imported report based on Chargeback for Projects via REST API.
Summary: Failed while launching imported report based on Chargeback for Projects via R...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Reporting
Version: 5.7.0
Hardware: All
OS: All
high
medium
Target Milestone: GA
: 5.7.3
Assignee: Gregg Tanzillo
QA Contact: Nandini Chandra
URL:
Whiteboard: chargeback:api:import
Depends On: 1456742
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-06-05 13:50 UTC by Satoe Imaishi
Modified: 2020-07-16 09:45 UTC (History)
5 users (show)

Fixed In Version: 5.7.3.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1456742
Environment:
Last Closed: 2017-06-28 15:04:49 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1601 0 normal SHIPPED_LIVE Important: CFME 5.7.3 security, bug fix and enhancement update 2017-06-28 18:51:52 UTC

Comment 2 CFME Bot 2017-06-05 13:55:58 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/409d6797c38e1839baca3b25798aa87377004169

commit 409d6797c38e1839baca3b25798aa87377004169
Author:     Oleg Barenboim <chessbyte@gmail.com>
AuthorDate: Thu Jun 1 23:00:35 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Mon Jun 5 09:51:00 2017 -0400

    Merge pull request #15273 from gtanzillo/report-import-symbolize-keys
    
    Ensure report columns serialized as hashes have symbolized keys before importing
    (cherry picked from commit 832975bd4a6cbb4a041acbaf695a29a0201405ee)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1458810

 app/models/miq_report/import_export.rb       |  3 +++
 spec/models/miq_report/import_export_spec.rb | 20 +++++++++++++++-----
 2 files changed, 18 insertions(+), 5 deletions(-)

Comment 3 Nandini Chandra 2017-06-16 13:14:05 UTC
Verified in 5.7.3.1

Comment 5 errata-xmlrpc 2017-06-28 15:04:49 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1601


Note You need to log in before you can comment on or make changes to this bug.